%HELPME_OCTAVE  Octave specific issues 
%   IFISS scriptfile: DJS; 22 August 2015.
% Copyright (c) 2012 D.J. Silvester, H.C. Elman, A. Ramage

fprintf(' \n');
fprintf(' IFISS 3.4 \n')
fprintf(' The Octave package is identical to the MATLAB package\n');
fprintf(' with the exception of the functions in the top level directory,\n');
fprintf(' those in the compatibility directory /octave382/ and those in /ifissdemos/ \n');
fprintf(' \n');
%fprintf(' The Windows version of Octave 3.6.1 proved to be too unstable \n');
%fprintf(' for us to consider including it as part of the public software release.  \n');
fprintf(' Here is a list of other "issues" with the Octave 3.8.2 implementation.\n');
fprintf(' *  The nondefault setting "more off" is preset in setpath.m: otherwise\n') 
fprintf('    screen and the graphical output are NOT synchronised correctly\n');
fprintf(' *  Some of the solver options give different results to those in MATLAB:\n');
fprintf('    o incomplete cholesky fails (no "cholinc" or "ichol" in Octave) \n');
fprintf('    o ilu smoothing for AMG and GMG is very slow (no "ilu" in Octave) \n');
fprintf(' *  The graphical output is imperfect: \n');
fprintf('    o contour plots are scaled to fit the image \n');
fprintf('    o plotting symbols may not be what you would expect \n');
fprintf('    o interpetation of TeX symbols in labels/legends is always not well defined\n');
fprintf('    o plotting can also be a little slow ... please be patient! \n');
fprintf(' *  Generation of avi movies fails (no "getframe" in Octave)\n');
fprintf(' \n');
fprintf(' Please report any other compatibility problems that you encounter\n') 
fprintf(' to the Octave Bug Report website.\n\n');
